.miner-container .weather-container {
  position: relative;
  width: 100%;
  height: 105px;
  padding: 20px;
}

.miner-container .weather-container .temperature {
  position: absolute;
  top: 0;
  left: 0%;
  background-color: var(--bg-color);
  color: var(--text-color);
  padding: 2px 10px;
  padding-bottom: 5px;
  border-radius: 5px;
  box-shadow: 3px 3px 3px rgba(0, 0, 0, 0.3);
}

.miner-container .weather-container .weather-icon {
  position: absolute;
  top: -20px;
  left: 0%;
  width: 140px;
  filter: drop-shadow(5px 5px 2px rgba(0, 0, 0, 0.3));
  animation: weather-icon-animation 40s infinite linear;
}

.itemlist-and-miner-container {
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: flex-start;
}

.itemlist-and-miner-container .itemlist-container {
  width: 80px;
  height: calc(85px * 3 + 50px);
  box-shadow: 5px 0px 5px rgba(0, 0, 0, 0.2);
  z-index: 10;
}
.itemlist-and-miner-container .itemlist-container .arrow {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 80px;
  height: 25px;
  cursor: pointer;
}

.itemlist-and-miner-container .itemlist-container .arrow svg {
  width: 20px;
}

.itemlist-and-miner-container .itemlist-container .arrow svg path {
  fill: var(--bg-color);
}

.itemlist-and-miner-container .itemlist-container .down-arrow {
  transform: rotate(180deg);
}

.itemlist-and-miner-container .itemlist-container .ul-container {
  height: calc(85px * 3);
  overflow-y: hidden;
}

.itemlist-and-miner-container .itemlist-container ul {
  position: relative;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  transition: all 0.3s ease;
}

.itemlist-and-miner-container .itemlist-container ul li {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 80px;
  min-height: 80px;
  background-color: var(--bg-color);
  margin-bottom: 5px;
}

.character-container {
  position: relative;
  width: 100%;
  height: 325px;
}

.mountains-icon {
  position: absolute;
  top: 10px;
  left: 50px;
  width: 400px;
  opacity: 0.7;
}

.character-shadow-icon {
  position: absolute;
  width: 210px;
  bottom: 1px;
  right: 70px;
}

.pickaxe-icon {
  position: absolute;
  right: 135px;
  top: 45px;
  width: 180px;
  transform-origin: bottom;
}

.character-icon {
  position: absolute;
  bottom: 30px;
  right: 50px;
  width: 220px;
}

.new-treasure {
  position: absolute;
  bottom: 50px;
  left: 50px;
  background-color: var(--bg-color);
  color: var(--text-color);
  padding: 10px 20px;
  border-radius: 10px;
  cursor: pointer;
}

.part-found-modal {
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
  display: flex;
  justify-content: center;
  align-items: center;
}

.part-container {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 400px;
  background-color: var(--bg-color);
  padding: 10px 20px;
  border-radius: 8px;
  box-shadow: 0 0 40px rgba(255, 255, 255, 0.8);
  animation: part-found-animation 2.5s ease infinite;
}

.part-found-modal .part-container .svg-icon {
  width: 100px;
}

.part-found-modal .part-container h2 {
  background-color: var(--text-color);
  color: var(--bg-color);
  width: 400px;
  text-align: center;
  margin-bottom: 30px;
}

.part-found-modal .part-container h3 {
  margin-bottom: 15px;
}

@keyframes part-found-animation {
  0%,
  100%,
  30% {
    transform: translateY(10px);
  }

  10% {
    transform: translateY(0px);
  }
}

@keyframes weather-icon-animation {
  0%,
  100% {
    transform: rotate(0deg);
    left: 0%;
  }
  4% {
    transform: rotate(5deg) scale(1.1);
  }
  8% {
    transform: rotate(-5deg) scale(1);
  }
  12% {
    transform: rotate(5deg) scale(1);
  }
  16% {
    transform: rotate(-5deg) scale(1.1);
  }

  20% {
    transform: rotate(5deg) scale(1);
  }
  24% {
    transform: rotate(-5deg) scale(1);
  }
  28% {
    transform: rotate(5deg) scale(1.1);
  }
  32% {
    transform: rotate(-5deg) scale(1);
  }

  36% {
    transform: rotate(5deg) scale(1);
  }
  40% {
    transform: rotate(-5deg) scale(1.1);
  }
  44% {
    transform: rotate(5deg) scale(1);
  }
  48% {
    transform: rotate(-5deg) scale(1);
  }

  50% {
    left: calc(100% - 120px);
  }

  52% {
    transform: rotate(5deg) scale(1.1);
  }
  56% {
    transform: rotate(-5deg) scale(1);
  }
  60% {
    transform: rotate(5deg) scale(1);
  }
  64% {
    transform: rotate(-5deg) scale(1.1);
  }
  68% {
    transform: rotate(5deg) scale(1);
  }
  72% {
    transform: rotate(-5deg) scale(1);
  }
  76% {
    transform: rotate(5deg) scale(1.1);
  }

  80% {
    transform: rotate(-5deg) scale(1);
  }
  84% {
    transform: rotate(5deg) scale(1);
  }
  88% {
    transform: rotate(-5deg) scale(1.1);
  }

  92% {
    transform: rotate(5deg) scale(1);
  }
  96% {
    transform: rotate(-5deg) scale(1);
  }
}
